Loading...
Searching...
No Matches
Opm::MechContainer< Scalar > Class Template Reference

## Public Member Functions

void | allocate (const std::size_t bufferSize, std::map< std::string, int > &rstKeywords)
void | assignDisplacement (const unsigned globalDofIdx, const Dune::FieldVector< Scalar, 3 > &disp)
void | assignDelStress (const unsigned globalDofIdx, const Dune::FieldVector< Scalar, 6 > &delStress)
void | assignPotentialForces (const unsigned globalDofIdx, const Scalar force, const Scalar pressForce, const Scalar tempForce)
void | assignFracStress (const unsigned globalDofIdx, const Dune::FieldVector< Scalar, 6 > &fracStress)
void | assignLinStress (const unsigned globalDofIdx, const Dune::FieldVector< Scalar, 6 > &linStress)
void | assignStrain (const unsigned globalDofIdx, const Dune::FieldVector< Scalar, 6 > &strain)
void | assignStress (const unsigned globalDofIdx, const Dune::FieldVector< Scalar, 6 > &stress)
void | outputRestart (data::Solution &sol)
bool | allocated () const

The documentation for this class was generated from the following files:

- opm/simulators/flow/MechContainer.hpp
- opm/simulators/flow/MechContainer.cpp